GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::OrientedCoordinateArray Class Reference

Allows comparing geom::CoordinateSequences in an orientation-independent way. More...

`#include <OrientedCoordinateArray.h>`

## Public Member Functions
| OrientedCoordinateArray (const geom::CoordinateSequence &pts)
int | compareTo (const OrientedCoordinateArray &o1) const
| Compares two OrientedCoordinateArrays for their relative order.

## Detailed Description

Allows comparing geom::CoordinateSequences in an orientation-independent way.

## Constructor & Destructor Documentation

geos::noding::OrientedCoordinateArray::OrientedCoordinateArray | ( | const geom::CoordinateSequence & | pts | ) |
| inline

Creates a new OrientedCoordinateArray for the given geom::CoordinateSequence.

Parameters

  pts | the coordinates to orient

## Member Function Documentation

int geos::noding::OrientedCoordinateArray::compareTo | ( | const OrientedCoordinateArray & | o1 | ) | const

Compares two OrientedCoordinateArrays for their relative order.

Returns
  -1 this one is smaller
  0 the two objects are equal
  1 this one is greater

In JTS, this is used automatically by ordered lists. In C++, operator< would be used instead....

The documentation for this class was generated from the following file:

- OrientedCoordinateArray.h